using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PopUpOpeningBehind
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            FormatGrid();

            gridGroupingControl1.TableControlCellDoubleClick +=
                new Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlCellClickEventHandler(
                                                    gridGroupingControl1_TableControlCellDoubleClick);
            gridGroupingControl1.TableControlCurrentCellKeyPress +=
                new Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlKeyPressEventHandler(gridGroupingControl1_TableControlCurrentCellKeyPress);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            gridGroupingControl1.DataSource = GetTable();

        }

        void gridGroupingControl1_TableControlCurrentCellKeyPress(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlKeyPressEventArgs e)
        {
            //is Enter key pressed?
            if (e.Inner.KeyChar == (char)13)
            {
                Form2 form2 = new Form2();
                form2.Show(); 
            }
        }

        /// <summary>
        /// Set grid display
        /// </summary>
        private void FormatGrid()
        {
            gridGroupingControl1.TableOptions.AllowSelection = Syncfusion.Windows.Forms.Grid.GridSelectionFlags.None;
            gridGroupingControl1.TableOptions.ListBoxSelectionCurrentCellOptions =
                Syncfusion.Windows.Forms.Grid.Grouping.GridListBoxSelectionCurrentCellOptions.None;
            gridGroupingControl1.TableOptions.ListBoxSelectionMode = System.Windows.Forms.SelectionMode.One;
            gridGroupingControl1.TableModel.Options.SelectCellsMouseButtonsMask =
                System.Windows.Forms.MouseButtons.Left | System.Windows.Forms.MouseButtons.Right;
            gridGroupingControl1.TableOptions.IndentWidth = 0;
            gridGroupingControl1.TableOptions.ShowRowHeader = false;
            gridGroupingControl1.TableOptions.CaptionRowHeight = 0;
            gridGroupingControl1.TableDescriptor.Appearance.AnyRecordFieldCell.ReadOnly = true;

            //gridGroupingControl1.TableControl.CellToolTip.Active = false;
            gridGroupingControl1.TableControl.AllowDrop = false;
            gridGroupingControl1.TableOptions.AllowDragColumns = false;
            gridGroupingControl1.TableOptions.AllowDropDownCell = false;
        }

        void gridGroupingControl1_TableControlCellDoubleClick(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlCellClickEventArgs e)
        {
            Form2 form2 = new Form2();
            form2.Show(); 
        }

        private DataTable GetTable()
        {
            DataTable dt = new DataTable("MyTable");

            int nCols = 5;//100;
            int nRows = 10;//1000;

            for (int i = 0; i < nCols; i++)
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i)));

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                    dr[j] = string.Format("row{0} col{1}", i, j);
                dt.Rows.Add(dr);
            }
            return dt;
        }


    }
}